﻿IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CORTXT' AND COLUMN_NAME = 'SellingStoreId' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CORTXT_SellingStoreId')
BEGIN 
    PRINT 'Creating default constraint DF_CORTXT_SellingStoreId on table CORTXT' 
    ALTER TABLE [dbo].[CORTXT]
    ADD CONSTRAINT [DF_CORTXT_SellingStoreId] DEFAULT ((0)) FOR [SellingStoreId]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CORTXT' AND COLUMN_NAME = 'SellingStoreOrderId' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CORTXT_SellingStoreOrderId')
BEGIN 
    PRINT 'Creating default constraint DF_CORTXT_SellingStoreOrderId on table CORTXT' 
    ALTER TABLE [dbo].[CORTXT]
    ADD CONSTRAINT [DF_CORTXT_SellingStoreOrderId] DEFAULT ((0)) FOR [SellingStoreOrderId]
END 
GO

